<?php
/**
 * Lawyer Lite : Block Patterns
 *
 * @package  Lawyer Lite 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'lawyer-lite',
		array( 'label' => __( ' Lawyer Lite ', 'lawyer-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'lawyer-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'lawyer-lite' ),
			'categories' => array( 'lawyer-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":131,\"dimRatio\":50,\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section p-0\"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section p-0\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-131\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\",\"className\":\"mb-0\"} -->\n<div class=\"wp-block-columns alignfull mb-0\"><!-- wp:column {\"width\":\"50%\",\"style\":{\"color\":{\"background\":\"#00000099\"}},\"className\":\"banner-section-content \"} -->\n<div class=\"wp-block-column banner-section-content has-background\" style=\"background-color:#00000099;flex-basis:50%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"banner-content-box\"} -->\n<div class=\"wp-block-column banner-content-box\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:30px\">LOREM IPSUM IS SIMPLY DUMMY TEXT</h1>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"0px\"},\"color\":{\"background\":\"#00000099\"},\"typography\":{\"fontSize\":\"16px\"}},\"className\":\"banner-section-btn my-4\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn my-4\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:0px;background-color:#00000099\">FREE CONSULTATIONS</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'lawyer-lite/about-section',
		array(
			'title'      => __( 'About Section', 'lawyer-lite' ),
			'categories' => array( 'lawyer-lite' ),
			'content'    => "<!-- wp:columns {\"className\":\"service-section mt-md-5 mt-2\"} -->\n<div class=\"wp-block-columns service-section mt-md-5 mt-2\"><!-- wp:column {\"className\":\"service-section-content\"} -->\n<div class=\"wp-block-column service-section-content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"className\":\"mt-0 pt-md-0\"} -->\n<h2 class=\"mt-0 pt-md-0\" style=\"font-size:30px\">ABOUT COMPANY</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#717171\"}},\"className\":\"position-relative  pb-3\"} -->\n<p class=\"position-relative pb-3 has-text-color\" style=\"color:#717171\">Lorem ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"style\":{\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"service-btn position-relative mt-md-3\"} -->\n<div class=\"wp-block-button has-custom-font-size service-btn position-relative mt-md-3\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\" style=\"border-radius:0px\">Discover More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":136,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image.png\" alt=\"\" class=\"wp-image-136\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}